Package org.eclipse.ecf.filetransfer.events

## Interface IIncomingFileTransferReceiveDoneEvent

All Superinterfaces:
  `Event`, `IFileTransferEvent`, `IIncomingFileTransferEvent`

    public interface IIncomingFileTransferReceiveDoneEvent
    extends IIncomingFileTransferEvent

Event sent to IFileTransferListeners when an incoming file transfer is completed.

### Method Summary

All Methods Instance Methods Abstract Methods
`Exception` `getException()` Get any exception associated with this file transfer.

### Methods inherited from interface org.eclipse.ecf.filetransfer.events.IIncomingFileTransferEvent

`getSource`

### Method Detail

#### getException

    Exception getException()

Get any exception associated with this file transfer. If the file transfer completed successfully, this method will return `null`. If the file transfer completed unsuccessfully (some exception occurred), then this method will return a non-`null` Exception instance that occurred.

If the the file transfer was canceled by the user, then the exception returned will be an instance of `UserCancelledException`.

Returns:
  Exception associated with this file transfer. `null` if transfer completed successfully, non-null if transfer completed with some exception.